Subject: Re: [PATCH 00/12] Thumb-2 kernel support

From: Catalin Marinas <[email-masked]>
Date: Wed, 23 Jul 2008 22:10:22 +0100

On Wed, 2008-07-23 at 13:01 -0700, Andrew Morton wrote:
> On Wed, 23 Jul 2008 17:05:55 +0100
> Catalin Marinas <[email-masked]> wrote:
> > Were the Thumb-2 patches merged in any of the -mm tree releases? I now
> > updated the series to the 2.6.26-rc8-mm1 kernel if you still consider
> > merging them (___git://linux-arm.org/linux-2.6 for-akpm).
> 
> I pull it regularly but always get rejects and never got around to
> looking into fixing them.  Probably the git-thumb tree is based on an
> ARM git tree so I'd need to generate the diff reletive to that tree. 
> But I just haven't got onto it, sorry.

I only based the for-akpm branch on your latest -mm tree release but
since you are rebasing your tree with every release, the base of my tree
(currently 2.6.26-rc8-mm1) is probably not an ancestor of your
development branch, hence the merging errors.

To minimise the conflicts, what commit or tag id do you base your
current development branch on?

> > Russell (and others in the ARM community), are you OK with this set of
> > patches being merged into 2.6.28 mainline (i.e. at the next merging
> > window)? If yes, do you acknowledge the patches? In the meantime, I can
> > rebase them on top of linux-next to check for possible merge conflicts
> > (or even ask for them to be pulled into linux-next).
> 
> yup, we should maintain the tree in linux-next if it's for 2.6.28.

I'm waiting for Russell to ack the patches first.

Thanks.

-- 
Catalin